Bug 2019515 - mouse accel broken in liblxqt 0.16.0 required 0.16.1
Summary: mouse accel broken in liblxqt 0.16.0 required 0.16.1
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lxqt-config
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Zamir SUN
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-11-02 17:40 UTC by Federic
Modified: 2021-11-14 06:35 UTC (History)
7 users (show)

Fixed In Version: lxqt-config-0.16.1-1.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-14 03:43:31 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Federic 2021-11-02 17:40:40 UTC
Description of problem:
Due to a regression in 0.16.0 mouse accel is broken. This can leave mouse / touchpad very difficult to use. 

Version-Release number of selected component (if applicable):
0.16.0  fixed by 0.16.1

How reproducible:
Always. Severity depends upon suitability of accel=0 for any particular h/w

Steps to Reproduce:
1. Setting | Keyboard and Mouse | Touchpad and mouse
2. Attempt to set accel>0 ; no change. New values not retained. 
3.

Actual results:
mouse accel not configurable can require multiple swipes of touchpad to move across the screen. 

Expected results:
Set suitable accel and see it retained. 

Additional info:
This bug fix is the only mention for 0.16.1 so should not introduce further issues. 
https://github.com/lxqt/lxqt-config/blob/master/CHANGELOG

Comment 1 Fedora Update System 2021-11-06 03:51:43 UTC
FEDORA-2021-43a1639342 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-43a1639342

Comment 2 Fedora Update System 2021-11-07 02:16:03 UTC
FEDORA-2021-43a1639342 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-43a1639342`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-43a1639342

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 3 Fedora Update System 2021-11-14 03:43:31 UTC
FEDORA-2021-43a1639342 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 4 Federic 2021-11-14 06:35:44 UTC
Thanks for the work fixing this bug. 

"FEDORA-2021-43a1639342 has been pushed to the Fedora 34 stable repository."

Maybe I don't understand the labels here but this is closed as ERRATA not CURRENT RELEASE. 
From the description that seems to indicate that the fix "is available from our support web site" as opposed to "is fixed in current Fedora release". 

I do not see this available. 

dnf info liblxqt 
Available Packages
Name         : liblxqt
Version      : 0.16.0
Release      : 3.fc34
Architecture : i686
Size         : 122 k
Source       : liblxqt-0.16.0-3.fc34.src.rpm
Repository   : fedora

Is there some other stage before this makes it into mainline dnf update process for Fed34 ? 

Thanks.


Note You need to log in before you can comment on or make changes to this bug.